require "spec_helper"

describe FastshopCatalog::BaseService do

  describe "camelize" do

    it 'should convert the underscore string to camel' do
      expect(FastshopCatalog::BaseService.camelize('some_dull_text')).to eq('SomeDullText')
    end

  end

  describe "initialization" do

    let(:service) do
      class TempService < FastshopCatalog::BaseService
        def initialize
          @service = :catalogo
          @interface = 'ISomeInterface'
          @soap_method = :some_method
          @return_key = 'SomeName'
          super
        end
      end
      TempService.new
    end

    it 'should return the correct action' do
      expect(service.action).to eq('ISomeInterface/SomeMethod')
    end

  end

end
