# encoding: utf-8
require "spec_helper"

describe FastshopCatalog::CheckAvailabilityService do

  include Savon::SpecHelper
  before(:all) { savon.mock! }
  after(:all)  { savon.unmock! }

  let(:order) do
    order = FastshopCatalog::Entity::Order.new
    order.contract_code = '1234567890'
    order.zip_code = '02029001'
    order.document = '73978898160'
    order.number = '1560'
    order.total_amount = "249.00"
    order_item = FastshopCatalog::Entity::OrderItem.new
    order_item.sku = 'SODPFC70A'
    order_item.quantity = 1
    order_item.price = "249.00"
    order.items = [order_item]
    order
  end

  let(:order_fixture) do
    {"tns:dadosPedido"=>{"fas:Cep"=>"02029001", "fas:Contrato"=>"1234567890", "fas:Cpf"=>"73978898160", "fas:Itens"=>[{"fas:PedidoItensEntity"=>{"fas:Quantidade"=>1, "fas:Sku"=>"SODPFC70A", "fas:ValorUnitario"=>"249.00"}}], "fas:Numero"=>"1560", "fas:ValorTotal"=>"249.00"}}
  end

  let(:fixture) do
    File.read("spec/fixtures/check_availability_successful_response.xml")
  end

  describe "check" do
    it "should check that the order is ok" do

      savon.expects(:retorna_dados).with(:message => order_fixture).returns(fixture)
      service = FastshopCatalog::CheckAvailabilityService.new
      result = service.check(order)
    end
  end
end
